Package io.dapr.v1

# Class AppCallbackGrpc.AppCallbackImplBase

java.lang.Object
io.dapr.v1.AppCallbackGrpc.AppCallbackImplBase

All Implemented Interfaces:
  `AppCallbackGrpc.AsyncService`, `io.grpc.BindableService`

Enclosing class:
  AppCallbackGrpc

public abstract static class AppCallbackGrpc.AppCallbackImplBase extends Object implements io.grpc.BindableService, AppCallbackGrpc.AsyncService
Base class for the server implementation of the service AppCallback.

     AppCallback V1 allows user application to interact with Dapr runtime.
     User application needs to implement AppCallback service if it needs to
     receive message from dapr runtime.

## Constructor Summary

Constructors
Constructor
Description
`AppCallbackImplBase()`

## Method Summary

Modifier and Type
Method
Description
`final io.grpc.ServerServiceDefinition`
`bindService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.dapr.v1.AppCallbackGrpc.AsyncService

`listInputBindings, listTopicSubscriptions, onBindingEvent, onInvoke, onTopicEvent`

## Constructor Details

### AppCallbackImplBase

public AppCallbackImplBase()

## Method Details

### bindService

public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`